Knowledge Base
What are the system requirements for Respondus Monitor?

System Requirements (Students)

  • Windows: 10, 8, 7
  • Mac: OS X 10.10 to 10.13. *
  • iOS: 7.0+ (iPad only). Must have a compatible LMS integration. The LockDown Browser iPad app is not compatible with Sakai LMS servers. All Sakai users will need to use a computer with a compatible operating system. 
  • Adobe Flash Player
  • Web camera (internal or external) & microphone
  • A broadband internet connection

* LockDown Browser and Respondus Monitor may continue to run in older operating systems that have reached “end-of-life” but students may encounter unexpected results. Students running OS X 10.13 (High Sierra) should use LockDown Browser version 2.0.3.03 or newer for best performance.